

  {{ "<!-- contact form  -->" | safeHTML }}
  {{ $jquery := resources.Get "js/jquery.min.js" | resources.Fingerprint }}
  <script src="{{ $jquery.Permalink }}" integrity="{{ $jquery.Data.Integrity }}" crossorigin="anonymous"></script>
 


<form id="contactform" accept-charset="UTF-8" action="{{ .Get "action" }}" method="POST" role="form">
    <p><label for="name">Name</label><br />
    <input type="text" id="name" name="name" required placeholder="Your Name" aria-labelledby="name"/ class="form-control"></p>
    <p><label for="email">Email Address</label><br />
    <input type="email" id="email" name="email" required placeholder="Email" aria-labelledby="email" class="form-control"/></p>    
    <p><label for="message">Message</label><br />
    <textarea id="message" name="message" required rows="10" aria-labelledby="message" class="form-control"></textarea></p>
    <p><input id="contactsubmit" type="submit" value="Send Message" class="btn btn-primary" /></p>
</form>

<div id="messagestatus" ></div>






<script>
$("#contactform").submit(function( event ) {
    $('#contactsubmit').prop('disabled', true);
    $( "#messagestatus" ).replaceWith( '<div id="messagestatus" role="status"><div class="spinner-border text-primary"></div> Sending Message...</div>' ); 
    $.ajax({
        method: "POST",
        url: "{{ .Get "action" }}",
        data: { name: $('#name').val(), email : $('#email').val(), message: $('#message').val()}
    })
    .done(function( msg ) {
        $( "#messagestatus" ).replaceWith( '<div id="messagestatus" role="status">Thank You, the message has been sent.</div>' );
    });
    event.preventDefault();
});

</script>

{{ "<!-- end contact form   -->" | safeHTML }}